package com.ruoyi.common.orm.config;

import com.mybatisflex.core.mybatis.FlexConfiguration;
import com.mybatisflex.spring.boot.ConfigurationCustomizer;
import org.apache.ibatis.logging.stdout.StdOutImpl;
import org.springframework.context.annotation.Configuration;

/**
 * 指定输出日志
 *
 * @author dataprince数据小王子
 */
@Configuration
public class MyConfigurationCustomizer implements ConfigurationCustomizer {
    @Override
    public void customize(FlexConfiguration configuration) {
        configuration.setLogImpl(StdOutImpl.class);
    }
}
